"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "image", {
    enumerable: true,
    get: function() {
        return image;
    }
});
const _state = require("@codemirror/state");
const image = (view)=>{
    const { state } = view;
    const { doc } = state;
    view.dispatch(state.changeByRange((range)=>{
        const { from, to } = range;
        const text = doc.sliceString(from, to);
        const link = `![${text}]()`;
        const cursor = from + (text.length ? 3 + text.length : 2);
        return {
            changes: [
                {
                    from,
                    to,
                    insert: link
                }
            ],
            range: _state.EditorSelection.range(cursor, cursor)
        };
    }));
    view.focus();
    return true;
};
